Subject: Re: [PATCH 11/11] bug_fl(): add missing `va_end()` call

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Jun 2022 11:03:25 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> But obviously that's a bad use of the varargs API, I just don't know how
> we've been getting away with it in practice, sorry about that.

Exactly.  We three all expressed our surprises on why it "works".
Nobody offered an explanation, though, which leaves us in suspense
;-)

> The fix Peff's got here LGTM. I can (re)submit it with
> format-patch+send-email after giving it a commit message describing the
> issue if you'd like, but the change would be the same.

Yup, I think the code change there looks the most sensible.

Thanks, all.